### Enumeration

# FwupdPlugin IhexFirmwareRecordType

#### Declaration

    enum FwupdPlugin.IhexFirmwareRecordType

#### Description

No description available.

#### Members

`FU_IHEX_FIRMWARE_RECORD_TYPE_DATA`

  No description available.

  - Value: `0`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_EOF`

  No description available.

  - Value: `1`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_EXTENDED_SEGMENT`

  No description available.

  - Value: `2`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_START_SEGMENT`

  No description available.

  - Value: `3`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_EXTENDED_LINEAR`

  No description available.

  - Value: `4`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_START_LINEAR`

  No description available.

  - Value: `5`
  - Available since: 1.0
`FU_IHEX_FIRMWARE_RECORD_TYPE_SIGNATURE`

  No description available.

  - Value: `253`
  - Available since: 1.0